Skip to content

getGaugeCalibrationRecords

READ

Get gauge calibration records.

POST /api/v1/quality/getGaugeCalibrationRecords
curl -X POST '<your-host>/api/v1/quality/getGaugeCalibrationRecords' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "approvedBy": "string",
      "calibrationAttempts": "…",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "dateCalibrated": "string",
      "description": "string",
      "gaugeId": "string",
      "gaugeReadableId": "string",
      "gaugeTypeId": "string",
      "humidity": 0,
      "id": "string",
      "inspectionStatus": "Pass",
      "measurementStandard": "string",
      "notes": "…",
      "requiresAction": true,
      "requiresAdjustment": true,
      "requiresRepair": true,
      "supplierId": "string",
      "temperature": 0,
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}